Subject: Gen-ART LC review of draft-ietf-yam-5321bis-smtp-pre-evaluation-05

From: "Roni Even" <[email-masked]>
Date: Mon, 17 May 2010 22:07:18 +0300

I have been selected as the General Area Review Team (Gen-ART) reviewer for
this draft

 (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd or AD before posting a
new version of the draft.

Document: draft-ietf-yam-5321bis-smtp-pre-evaluation-05

Reviewer: Roni Even

Review Date: 2010-05-17

IETF LC End Date: 

IESG Telechat date: (if known): 2010-05-20

Summary: This draft is not meant to be published. 

This memo is a Preliminary Evaluation of RFC5321, Simple Mail Transfer
Protocol (SMTP), for advancement from Draft Standard to Full Standard that
was written in order to facilitate discussion with the IESG.

In general it looks good, what I did not see is a summary of an analysis
that evaluate if all commands and tags are used in interoperable products

Roni Even

---

From: John C Klensin <[email-masked]>
Date: Mon, 17 May 2010 16:53:24 -0400

--On Monday, May 17, 2010 22:07 +0300 Roni Even
<[email-masked]> wrote:

> I have been selected as the General Area Review Team (Gen-ART)
> reviewer for this draft
>...
 
>...

> This memo is a Preliminary Evaluation of RFC5321, Simple Mail
> Transfer Protocol (SMTP), for advancement from Draft Standard
> to Full Standard that was written in order to facilitate
> discussion with the IESG.
> 
> In general it looks good, what I did not see is a summary of
> an analysis that evaluate if all commands and tags are used in
> interoperable products

Roni,

I suggest a review of RFC 2026 (and perhaps the YAM WG Charter).
The analysis you are suggesting is a requirement for Draft
Standard.  Advancement to Draft Standard (the current level for
RFC 5321) constitutes community agreement that interoperability
requirements have been met.   There is no requirement to repeat
that review for a document proposed for Full Standard.

best,
   john

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 17 May 2010 14:47:10 -0700

> that evaluate if all commands and tags are used in interoperable products

That's correct.  The working group has been diligent in restricting its work to 
the chartered scope, namely satisfying only requirements for full Internet Standard.

I believe your comment is, instead, applicable for Draft.  RFC 5321 satisifed 
that quite a long time ago, since it is already at Draft status.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: "Roni Even" <[email-masked]>
Date: Tue, 18 May 2010 09:37:18 +0300

Hi,
I am not the expert on the requirements and it will be up to the IESG. I
think that when you go to full standard you need to take out any commands
and tags that are not used by interoperable products. If that was done
previously than it is OK but I suggest that you mention it to the IESG.
Roni Even

> -----Original Message-----
> From: Dave CROCKER [mailto:[email-masked]]
> Sent: Tuesday, May 18, 2010 12:47 AM
> To: Roni Even
> Cc: 'General Area Review Team'; draft-ietf-yam-5321bis-smtp-pre-
> [email-masked]; [email-masked]
> Subject: Re: Gen-ART LC review of draft-ietf-yam-5321bis-smtp-pre-
> evaluation-05
> 
> 
>

---

From: SM <[email-masked]>
Date: Tue, 18 May 2010 02:36:45 -0700

Hi Roni,
>I am not the expert on the requirements and it will be up to the IESG. I

I don't know whether you are pondering what I'm pondering.  Do you 
mean that it is up to the IESG to define what the requirements are?

>previously than it is OK but I suggest that you mention it to the IESG.

Quoting Section 4.1.2 of RFC 2026:

   "A Draft Standard is normally considered to be a final specification,
    and changes are likely to be made only to solve specific problems
    encountered."

According to Section 4.1.3 of RFC 2026, an Internet Standard, or what 
is sometimes referred to as Full Standard, is a "specification for 
which significant implementation and successful operational 
experience has been obtained".

The YAM WG Charter states that:

  "The working group does not intend to revise the actual protocols
   in any way and will avoid document changes that might even
   accidentally introduce protocol changes, destabilize a protocol,
   or introduce semantic or syntactic changes."

  "If an existing protocol implementation is conforming to the Draft
    Standard version of the protocol specification, it must also be
    conforming to the resulting Full Standard version."

    the "success in the WG requires that there be a good-faith
    commitment by both its participants and the IESG to avoid seeking
    changes that (a) do not contribute in a substantial and substantive
    way to the quality and comprehensibility of the specification, or
    that (b) force a change to the existing protocol."

There is an expectation that the IESG is aware of the requirements 
specified in RFC 2026 and what is written in the YAM WG Charter.

Regards,
-sm

P.S. If there are any false expectations, the IETF will have to 
review the biological recombinant algorithmic intelligence nexus. :-)

---

From: Tony Hansen <[email-masked]>
Date: Tue, 18 May 2010 08:28:41 -0400

The IESG members I know are quite familiar with the requirements of 2026 
and are expecting a deployment analysis for going to full standard, but 
not a repeat of the interoperability analysis that was already done 
years ago.

     Tony Hansen
     YAM WG co-chair

On 5/18/2010 2:37 AM, Roni Even wrote:
>>> In general it looks good, what I did not see is a summary of an
>>>        
>> analysis
>>      
>>> that evaluate if all commands and tags are used in interoperable
>>>        
>> products
>>
>>

---

From: "Roni Even" <[email-masked]>
Date: Tue, 18 May 2010 15:49:38 +0300

Hi,
I was referring to section 4.1.2 of RFC 2026

"The requirement for at least two independent and interoperable
   implementations applies to all of the options and features of the
   specification.  In cases in which one or more options or features
   have not been demonstrated in at least two interoperable
   implementations, the specification may advance to the Draft Standard
   level only if those options or features are removed."

Roni Even

> From: SM [mailto:[email-masked]]
> Sent: Tuesday, May 18, 2010 12:37 PM
> To: Roni Even
> Cc: [email-masked]
> Subject: RE: Gen-ART LC review of draft-ietf-yam-5321bis-smtp-pre-
> evaluation-05
> 
> Hi Roni,

---

From: "Roni Even" <[email-masked]>
Date: Tue, 18 May 2010 17:23:21 +0300

OK 
Thanks
Roni

> From: Tony Hansen [mailto:[email-masked]]
> Sent: Tuesday, May 18, 2010 3:29 PM
> To: Roni Even
> Cc: [email-masked]; 'General Area Review Team'; draft-ietf-yam-
> [email-masked]; [email-masked]
> >> That's correct.  The working group has been diligent in restricting
> its
> >> work to

---

From: SM <[email-masked]>
Date: Tue, 18 May 2010 07:51:36 -0700

Hi Roni,
>    level only if those options or features are removed."

RFC 2821 was published as Proposed Standard.  RFC 5321 is the Draft 
Standard and it obsoletes RFC 2821.  The text you quoted from Section 
4.1.2 is about advancement to Draft Standard, i.e. from RFC 2821 to 
RFC 5321.  If it is the consensus of the IETF, the revision of RFC 
5321 will be the Internet Standard (Full Standard) and it will 
replace STD 10.  Section 4.1.3 is applicable.

And now, the obligatory quote:

   "Ed Jankiewicz pointed out that the Vatican named more saints
    this year [2009] than the IETF named Full Standards. The
    Vatican doesn't make saints, they recognize saints on their
    own merits."

Regards,
-sm